Wrong character encoding of URL provided to media player
Closed, ResolvedPublic


[copy paste from https://commons.wikimedia.org/w/index.php?title=Commons_talk%3AMedia_help&diff=108751048&oldid=107584886 ]

The video [[:File:Hallands%C3%A5sen_TBM_model_-_01.webm]] won't play in the online Commons media player. The media player opens, but nothing is shown. In Firefox or Chromium, I can right click on the (empty) video area and select "Show video" or "Open video in new tab", respectively, which will let the internet browser open the media file directly without the Commons media player. However, doing so gives a '''404 Not Found''', because the URL (https://upload.wikimedia.org/wikipedia/commons/transcoded/0/08/Hallands%C3%83%C2%A5sen_TBM_model_-_01.webm/Hallands%C3%83%C2%A5sen_TBM_model_-_01.webm.480p.webm) is probably not encoded in the right way. Replacing "Ã¥" with "å" in the URL seems to help. I guess that this is why the Commons media player isn't able to play the file. The problem can also be seen with other files with non ASCII file names, for example [[:File:Gierfähre Rathen.webm]].
--[[User:Luen|Luen]] ([[User talk:Luen|<span class="signature-talk">talk</span>]]) 13:21, 3 November 2013 (UTC)

Version: unspecified
Severity: normal

bzimport added a project: TimedMediaHandler.Via ConduitNov 22 2014, 2:34 AM
bzimport set Reference to bz56538.
McZusatz created this task.Via LegacyNov 3 2013, 3:28 PM
Bawolff added a comment.Via ConduitNov 6 2013, 7:37 PM

Changing priority to high. We're a multilingual project, and should be able to have video files with non-ascii characters in it. Additionally, character encoding issues are so 1999...

Bawolff added a comment.Via ConduitNov 6 2013, 11:00 PM

This bug is also related to the MediaPopUp feature, and is only present on files narrower than 800px as far as I can tell.

bzimport added a comment.Via ConduitJan 15 2014, 2:19 PM

mailstorpk wrote:

I would like to work on this bug. Can anyone please assign it to me.

01tonythomas added a comment.Via ConduitJan 15 2014, 2:22 PM

Prepare the patch.

TheDJ added a comment.Via ConduitNov 19 2014, 1:51 PM

No longer able to reproduce. Anyone else ?

Bawolff added a comment.Via ConduitNov 19 2014, 3:34 PM

I fixed a similar issue a whileback, maybe it fixed this one.

Gilles lowered the priority of this task from "High" to "Normal".Via WebNov 24 2014, 2:17 PM
Gilles added a subscriber: Gilles.
Gilles added a project: Multimedia.Via WebNov 24 2014, 3:14 PM
brion added a subscriber: brion.Via WebJul 21 2015, 1:27 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptVia HeraldJul 21 2015, 1:27 AM
Jdforrester-WMF moved this task to Backlog on the Multimedia workboard.Via WebSep 4 2015, 6:38 PM
Jdforrester-WMF removed a project: Multimedia.Via Bulk EditSep 21 2015, 4:02 PM
TheDJ closed this task as "Resolved".Via WebOct 25 2015, 2:14 PM
TheDJ claimed this task.

Let's consider this fixed.

Add Comment